아파치 AuthType 에는 Basic와 Digest 가 있는데
Digest 가 더 안전한 암호 시스템을 제공하지만 브라우저가 지원을 해야 한다
MS IE 6 버전이 제대로 지원을 하지 않아 아래 링크를 보고 아파치 설정에 추가하여 해결한적이 있는데
서버를 옮기면서 추가가 되지 않은채 사용되고 있었다 (IE 8과 firefox 만 쓰고 있어서 몰랐음)
http://httpd.apache.org/docs/2.0/mod/mod_auth_digest.html#msie

irc에서 에프제트님이 익스 6에서 내가 만든 무언가를 보시는중에
IE 6 에서 bad request 가 뜨면서 안된다고 하셔서 문제를 찾다가
인증부분을 제거 해보는것이 어떨까요 하시길래 Digest 인증 부분을 제거하니 잘 된다

그래서 위 링크를 보고 설정을 추가하여 해결하고 혹시 다른브라우저에서도 그런가 하고
구글 크롬에서 테스트를 하여보니 구글 크롬도 그런다;;;
혹시나 해서 위 링크의 설정에서 MSIE 부분을 Chrome 으로 고쳐서 한줄을 추가하였더니 잘 된다
BrowserMatch "Chrome" AuthDigestEnableQueryStringHack=On 이렇게 말이다
2009/05/21 12:27 2009/05/21 12:27

Trackback :: http://zabi.net/tt/trackback/130